Page MenuHomePhabricator

Update "Autoclose" documentation to focus on "Permanent Refs" instead
ClosedPublic

Authored by epriestley on Apr 16 2019, 12:44 PM.

Details

Summary

Depends on D20433. Ref T13277. Since "Autoclose" no longer exists, update the documentation.

Currently, this documentation focuses a lot on troubleshooting because users historically had a lot of trouble with figuring out why things were or were not autoclosing. I haven't seen any real confusion about this in years, so I suspect we may have improved the import pipeline and/or UI to make this less of a problem.

It's also possible that this document "fixed" the problem, but usually I expect a documentation fix to not affect the frequency of reports, just make them easier to resolve, so I doubt it.

If unclear things remain and documentation really did fix it, maybe we can fix the issues. Or we can just put the troubleshooting documentation back.

Test Plan

Read documentation.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Apr 16 2019, 12:44 PM
epriestley requested review of this revision.Apr 16 2019, 12:46 PM
amckinley accepted this revision.Apr 17 2019, 8:46 PM
amckinley added inline comments.
src/docs/user/userguide/arcanist_diff.diviner
170–173

Should this explain that the revisions also need to belong to permanent refs? Or is that too far afield to explain right here?

src/docs/user/userguide/diffusion_permanent.diviner
23–25

We should include git note pushes as an example, because we had to learn about them and now everyone else should be forced to suffer as well.

This revision is now accepted and ready to land.Apr 17 2019, 8:46 PM
  • Mention refs/notes.
src/docs/user/userguide/arcanist_diff.diviner
170–173

I think this will get a separate rewrite somewhat soon, although maybe as part of T13098.

This revision was landed with ongoing or failed builds.Apr 18 2019, 12:43 PM
This revision was automatically updated to reflect the committed changes.